<!DOCTYPE html>
<html>
<head>
<title>3 Demos Redirect to Mobile App from Html A Tag Href</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.js"></script> 
</head>
<body>
<?php
function data_role_page($pgid) { 
    global $pages;
    $title = $pages[$pgid][1];  
    $target = $pages[$pgid][2]; 
?>
<div id="<?= $pgid ?>" data-role="page">
    <div data-role="header">
        <h1><?= $title ?></h1>
    </div>
    <div data-role="content">
        <div data-role="collapsible" data-collapsed="true">
            <h1><?= $title ?></h1>
            <p><a href="<?= "$pgid:$target" ?>"><?= $target ?></a></p>
        </div>
    </div>
    <div data-role="footer" data-position="fixed">
        <div data-role="navbar">
            <ul>
            <?php
            foreach($pages as $id=>$text) {
                $cls = ($id == $pgid) ? "class='ui-btn-active ui-state-persist'" : "";
                echo "<li><a href='#$id' $cls>$text[0]</a></li>";
            }
            ?>
            </ul>
        </div>
    </div>
</div>    
<?php } 
$pages = [
    "mailto"=>["E-mail", "Send E-mail", "master@example.com"], 
    "tel"=>["Phone", "Call Out", "+1 234-567-1234"], 
    "sms"=>["SMS", "Send SMS", "+1 234-567-1234"],
];
data_role_page("mailto");
data_role_page("tel");
data_role_page("sms");
?>
</body>
</html>